# Jan Sandström (Pixero) 2015

require 'sketchup'
Sketchup::require '3pt_Window/3pt_Window_main'

menu = UI.menu("Extensions").add_submenu("3 point Window")
toolbar = UI::Toolbar.new("3 point Window")

path = File.dirname(__FILE__) + "/3pt_Window/"

cmd = UI::Command.new("3 point Window") { Sketchup.active_model.select_tool JS::Window.new }
cmd.small_icon = cmd.large_icon = path + "3pt_Window.png"
cmd.status_bar_text = "3 point Window"
cmd.tooltip = "3 point Window"
menu.add_item(cmd)
toolbar.add_item(cmd)
